"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpers_1 = require("./helpers");
var helpers_2 = require("./helpers");
function updateHTMLWithLinks(el, bind, vnode, options) {
    var opts = options ? options : {};
    var _a = (0, helpers_2.defineOptions)(opts), validUrlRegExp = _a.validUrlRegExp, aTarget = _a.aTarget;
    var text = bind.value ? bind.value : undefined;
    if (!text) {
        console.error("v-dolinks: seems like v-dolinks directive argument is empty (inside of <".concat(vnode.tag, "> tag).\n"), '          Pass text directly to v-dolniks as argument: v-dolinks="\'Your text here\'"');
    }
    var spaceSplitedText = text.split(' ');
    var linkedTextArr = spaceSplitedText.map(function (word) {
        var nSplitedPhrase = word.split(/\n/);
        var nEnd = nSplitedPhrase.length > 1 ? nSplitedPhrase.length : 0;
        var nSplitedPhraseLinked = '';
        for (var _i = 0, nSplitedPhrase_1 = nSplitedPhrase; _i < nSplitedPhrase_1.length; _i++) {
            var nSplitedTerm = nSplitedPhrase_1[_i];
            nEnd -= 1;
            var isTermLink = nSplitedTerm.match(validUrlRegExp);
            var isTermHTMLTag = nSplitedTerm.match(helpers_1.validHTMLtagRegExp);
            if (isTermHTMLTag) {
                nSplitedTerm = (0, helpers_2.sanitizeHTMLTags)(nSplitedTerm);
            }
            if (isTermLink) {
                var linkEl = "<a href=\"".concat(nSplitedTerm, "\" target=\"").concat(aTarget, "\">").concat(nSplitedTerm, "</a>");
                nSplitedPhraseLinked = (0, helpers_2.updateLinkedPhrase)(nEnd, nSplitedPhraseLinked, linkEl);
                continue;
            }
            nSplitedPhraseLinked = (0, helpers_2.updateLinkedPhrase)(nEnd, nSplitedPhraseLinked, nSplitedTerm);
        }
        return nSplitedPhraseLinked;
    });
    el.innerHTML = linkedTextArr.join(' ');
}
exports.default = updateHTMLWithLinks;
