"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sanitizeHTMLTags = exports.updateLinkedPhrase = exports.defineOptions = exports.validHTMLtagRegExp = void 0;
;
// DEFAULTS
exports.validHTMLtagRegExp = /<(“[^”]*”|'[^’]*’|[^'”>])*>/;
var defaultTarget = '_blank';
var defaultUrlRegExp = new RegExp(['^(https?:\/\/(?:www\.|(?!www))[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]\.',
    '[^\s]{2,}|www\.[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]\.',
    '[^\s]{2,}|https?:\/\/(?:www\.|(?!www))[a-zA-Z0-9]+\.',
    '[^\s]{2,}|www\.[a-zA-Z0-9]+\.[^\s]{2,})$'].join(''));
// HELPERS
function defineOptions(options) {
    var validUrlRegExp = options.urlRegEx ? options.urlRegEx : defaultUrlRegExp;
    var aTarget = options.target ? options.target : defaultTarget;
    return { validUrlRegExp: validUrlRegExp, aTarget: aTarget };
}
exports.defineOptions = defineOptions;
;
function updateLinkedPhrase(nEnd, linkedPhrase, newText) {
    if (nEnd) {
        return linkedPhrase + newText + '\n';
    }
    return linkedPhrase + newText;
}
exports.updateLinkedPhrase = updateLinkedPhrase;
function sanitizeHTMLTags(text) {
    var letterArr = Array.from(text);
    var replaced = letterArr.map(function (letter) {
        if (letter === '<') {
            letter = '&lt;';
        }
        return letter;
    });
    return replaced.join('');
}
exports.sanitizeHTMLTags = sanitizeHTMLTags;
